%define 	name	pcihpview
%define 	version	0.5
%define 	release	1
%define 	serial	1
%define 	prefix	/usr

Summary: 	PCI Hotplug device viewer and manipulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/System
Url:		http://www.kroah.com/linux/hotplug/
Vendor:		Greg Kroah-Hartman <greg@kroah.com>
Source:		http://www.kroah.com/linux/hotplug/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
Requires:	gtk+ >= 1.2.3

%description
pcihpview is a GTK program that displays all PCI Hotplug slots in the system
and allows you to enable and disable slots, and change the attention light
values.

%prep
%setup -q

%build
./configure
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README
%{prefix}/bin/pcihpview

%changelog
* Mon Mar 3 2003 Greg Kroah-Hartman <greg@kroah.com>
[pcihpview-0.5]
- synced with release 0.5 (see the ChangeLog for more info)

* Wed May 8 2002 Greg Kroah-Hartman <greg@kroah.com>
[pcihpview-0.3]
- converted debug printing statements to use the syslog
- added refresh menu option.
- first rpm version.

